## dbus 1.10.6

=== cmake/test/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/../test)

add_definitions(${DBUS_INTERNAL_CLIENT_DEFINITIONS})

include_directories(${CMAKE_SOURCE_DIR}/../test)

set(DBUS_SESSION_BUS_LISTEN_ADDRESS ${TEST_LISTEN})

add_library(dbus-testutils STATIC
    ${CMAKE_SOURCE_DIR}/../test/test-utils.h
    ${CMAKE_SOURCE_DIR}/../test/test-utils.c
)
target_link_libraries(dbus-testutils ${DBUS_INTERNAL_LIBRARIES})

add_subdirectory( name-test )

set (manual-dir-iter_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/manual-dir-iter.c
)

set (test-service_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-service.c
)

set (test-names_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-names.c
)

set (break_loader_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/break-loader.c
)

set (test-shell-service_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-shell-service.c
)

set (test-shell_SOURCES
        ${CMAKE_SOURCE_DIR}/../test/shell-test.c
)

set (test-spawn_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/spawn-test.c
)

set (test-exit_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-exit.c
)

set (test-segfault_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-segfault.c
)

set (test-sleep-forever_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/test-sleep-forever.c
)

set (manual-tcp_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/manual-tcp.c
)

set (manual-paths_SOURCES
    ${CMAKE_SOURCE_DIR}/../test/manual-paths.c
)

add_helper_executable(manual-dir-iter ${manual-dir-iter_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_helper_executable(test-service ${test-service_SOURCES} dbus-testutils)
add_helper_executable(test-names ${test-names_SOURCES} dbus-testutils)
add_test_executable(test-shell ${test-shell_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_test_executable(test-printf ${CMAKE_SOURCE_DIR}/../test/internals/printf.c dbus-testutils)
add_helper_executable(test-shell-service ${test-shell-service_SOURCES} dbus-testutils)
add_helper_executable(test-spawn ${test-spawn_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_helper_executable(test-exit ${test-exit_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_helper_executable(test-segfault ${test-segfault_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_helper_executable(test-sleep-forever ${test-sleep-forever_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
add_test_executable(manual-tcp ${manual-tcp_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
if(WIN32)
    add_helper_executable(manual-paths ${manual-paths_SOURCES} ${DBUS_INTERNAL_LIBRARIES})
endif()

if(DBUS_WITH_GLIB)
    message(STATUS "with glib test apps")

    add_library(dbus-testutils-glib STATIC
        ${CMAKE_SOURCE_DIR}/../test/test-utils-glib.h
        ${CMAKE_SOURCE_DIR}/../test/test-utils-glib.c
    )
    target_link_libraries(dbus-testutils-glib dbus-testutils ${DBUS_INTERNAL_LIBRARIES})

    add_definitions(
        ${GLIB2_DEFINITIONS}
        ${GOBJECT_DEFINITIONS}
    )
    include_directories(
        ${GLIB2_INCLUDE_DIR}
        ${GOBJECT_INCLUDE_DIR}
    )

    set(TEST_LIBRARIES ${DBUS_INTERNAL_LIBRARIES} dbus-testutils dbus-testutils-glib ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES})

    add_test_executable(test-corrupt ${CMAKE_SOURCE_DIR}/../test/corrupt.c ${TEST_LIBRARIES})
    add_test_executable(test-dbus-daemon ${CMAKE_SOURCE_DIR}/../test/dbus-daemon.c ${TEST_LIBRARIES})
    add_test_executable(test-dbus-daemon-eavesdrop ${CMAKE_SOURCE_DIR}/../test/dbus-daemon-eavesdrop.c ${TEST_LIBRARIES})
    add_test_executable(test-fdpass ${CMAKE_SOURCE_DIR}/../test/fdpass.c ${TEST_LIBRARIES})
    add_test_executable(test-loopback ${CMAKE_SOURCE_DIR}/../test/loopback.c ${TEST_LIBRARIES})
    add_test_executable(test-marshal ${CMAKE_SOURCE_DIR}/../test/marshal.c ${TEST_LIBRARIES})
    add_test_executable(test-monitor ${CMAKE_SOURCE_DIR}/../test/monitor.c ${TEST_LIBRARIES})
    add_test_executable(test-refs ${CMAKE_SOURCE_DIR}/../test/internals/refs.c ${TEST_LIBRARIES})
    add_test_executable(test-relay ${CMAKE_SOURCE_DIR}/../test/relay.c ${TEST_LIBRARIES})
    add_test_executable(test-syntax ${CMAKE_SOURCE_DIR}/../test/syntax.c ${TEST_LIBRARIES})
    add_test_executable(test-syslog ${CMAKE_SOURCE_DIR}/../test/internals/syslog.c ${TEST_LIBRARIES})
    add_helper_executable(manual-authz ${CMAKE_SOURCE_DIR}/../test/manual-authz.c ${TEST_LIBRARIES})
endif()

### keep these in creation order, i.e. uppermost dirs first 
set (TESTDIRS
    test/data
    test/data/valid-messages
    test/data/invalid-messages
    test/data/incomplete-messages
    test/data/auth
    test/data/sha-1
    test/data/valid-config-files
    test/data/valid-config-files/basic.d
    test/data/valid-config-files/session.d
    test/data/valid-config-files-system
    test/data/valid-config-files-system/system.d
    test/data/valid-introspection-files
    test/data/valid-messages
    test/data/valid-service-files
    test/data/valid-service-files-system
    test/data/invalid-config-files
    test/data/invalid-config-files-system
    test/data/invalid-messages
    test/data/invalid-service-files-system
    test/data/equiv-config-files
    test/data/equiv-config-files/basic
    test/data/equiv-config-files/basic/basic.d
    test/data/equiv-config-files/entities
    test/data/equiv-config-files/entities/basic.d
)
set (CONFIG_VERBOSE 0)

FOREACH(DIR ${TESTDIRS})
    FILE(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/${DIR})
ENDFOREACH(DIR)

### copy tests to builddir so that generated tests and static tests 
### are all in one place.
MESSAGE(STATUS "Copying test files to test directory")
FOREACH(FILE_TYPE *.message *.message-raw *.auth-script *.sha1 *.txt *.conf *.service)
    FOREACH(DIR ${TESTDIRS})
        FILE(GLOB FILES "${CMAKE_SOURCE_DIR}/../${DIR}/${FILE_TYPE}" )
        FOREACH(FILE ${FILES})
            GET_FILENAME_COMPONENT(FILENAME ${FILE} NAME)
            SET (TARGET ${CMAKE_BINARY_DIR}/${DIR}/${FILENAME})
            configure_file(${FILE} ${TARGET} COPYONLY)
            IF (CONFIG_VERBOSE)
                MESSAGE("${FILE}")
            ENDIF (CONFIG_VERBOSE)
        ENDFOREACH(FILE)
    ENDFOREACH(DIR)
ENDFOREACH(FILE_TYPE)

### generate test files
MESSAGE(STATUS "Generating test files from templates into test directory")

FOREACH(FILE_TYPE *.conf.in *.service.in)
  FOREACH(DIR ${TESTDIRS})
    FILE(GLOB FILES "${CMAKE_SOURCE_DIR}/../${DIR}/${FILE_TYPE}" )
    FOREACH(FILE ${FILES})
      GET_FILENAME_COMPONENT(FILENAME ${FILE} NAME)
      STRING(REGEX REPLACE "\\.in$" "" FILENAME ${FILENAME})
      SET (TARGET ${CMAKE_BINARY_DIR}/${DIR}/${FILENAME})
      configure_file(${FILE} ${TARGET} @ONLY IMMEDIATE)
      IF (CONFIG_VERBOSE)
        MESSAGE("${FILE}")
      ENDIF (CONFIG_VERBOSE)
    ENDFOREACH(FILE)
  ENDFOREACH(DIR)
ENDFOREACH(FILE_TYPE)

MESSAGE(STATUS "Copying generated bus config files to test directory")
configure_file("${CMAKE_SOURCE_DIR}/../bus/session.conf.in" ${CMAKE_BINARY_DIR}/test/data/valid-config-files/session.conf @ONLY)
configure_file("${CMAKE_SOURCE_DIR}/../bus/system.conf.in" ${CMAKE_BINARY_DIR}/test/data/valid-config-files-system/system.conf @ONLY)

=== cmake/tools/CMakeLists.txt ===
add_definitions("-DDBUS_COMPILATION")

set (dbus_send_SOURCES
	../../tools/dbus-print-message.c			
	../../tools/dbus-print-message.h			
	../../tools/dbus-send.c
	../../tools/tool-common.c
	../../tools/tool-common.h
)

set (dbus_monitor_SOURCES
	../../tools/dbus-monitor.c				
	../../tools/dbus-print-message.c			
	../../tools/dbus-print-message.h
	../../tools/tool-common.c
	../../tools/tool-common.h
)

set (dbus_test_tool_SOURCES
	../../tools/dbus-echo.c
	../../tools/dbus-spam.c
	../../tools/tool-common.c
	../../tools/tool-common.h
	../../tools/test-tool.c
	../../tools/test-tool.h
)

set (dbus_update_activation_environment_SOURCES
	../../tools/dbus-update-activation-environment.c
	../../tools/tool-common.c
	../../tools/tool-common.h
)

if (WIN32)
set (dbus_launch_SOURCES
	../../tools/dbus-launch-win.c
)
else (WIN32)
set (dbus_launch_SOURCES
	../../tools/dbus-launch.c
	../../tools/tool-common.c
	../../tools/tool-common.h
)
endif (WIN32)

if (DBUS_BUILD_X11)
set (dbus_launch_SOURCES
     ${dbus_launch_SOURCES}
     ../../tools/dbus-launch-x11.c
)
endif(DBUS_BUILD_X11)

set (dbus_cleanup_sockets_SOURCES
	../../tools/dbus-cleanup-sockets.c
)

add_executable(dbus-send ${dbus_send_SOURCES})
target_link_libraries(dbus-send ${DBUS_LIBRARIES})
install_targets(/bin dbus-send )

add_executable(dbus-test-tool ${dbus_test_tool_SOURCES})
target_link_libraries(dbus-test-tool ${DBUS_LIBRARIES})
install_targets(/bin dbus-test-tool )

add_executable(dbus-update-activation-environment ${dbus_update_activation_environment_SOURCES})
target_link_libraries(dbus-update-activation-environment ${DBUS_LIBRARIES})
install_targets(/bin dbus-update-activation-environment )

add_executable(dbus-launch ${dbus_launch_SOURCES})
target_link_libraries(dbus-launch ${DBUS_LIBRARIES})
if (DBUS_BUILD_X11)
  target_link_libraries(dbus-launch ${X11_LIBRARIES} )
endif (DBUS_BUILD_X11)
install_targets(/bin dbus-launch )

add_executable(dbus-monitor ${dbus_monitor_SOURCES})
target_link_libraries(dbus-monitor ${DBUS_LIBRARIES})
install_targets(/bin dbus-monitor )

# create the /var/lib/dbus directory for dbus-uuidgen
install(DIRECTORY DESTINATION var/lib/dbus)

=== debian/changelog ===
dbus (1.10.6-1ubuntu3) xenial; urgency=medium

  * debian/dbus.preinst: divert the dbus-daemon-launch-helper if upgrading
    from < 1.9.4-2~. This will make sure we keep the setuid bit during upgrade.
    (LP: #1555237)
  * debian/dbus.postinst: remove diversion.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 31 Mar 2016 15:07:46 -0400

dbus (1.10.6-1ubuntu2) xenial; urgency=medium

  * dont-stop-dbus.patch: Disallow manual (re)starts, as we don't (want to)
    stop D-Bus on shutdown. (LP: #1540282)
  * debian/rules: Don't start D-Bus on package installation, as that doesn't
    work any more with the above. Instead, start dbus.socket in postinst,
    which will then start D-Bus on demand after package installation.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Feb 2016 12:58:02 +0100

dbus (1.10.6-1ubuntu1) xenial; urgency=low

  * Merge with Debian, remaining changes:
    - Add upstart jobs; Upstart is still supported for the system init.
      + Add debian/dbus.upstart and dbus.user-session.upstart
    - Add debian/patches/dont-stop-dbus.patch: Don't stop D-Bus in the service
      unit (see patch header and upstream bug for details). Fixes various
      causes of shutdown hangs, particularly with remote file systems. (LP:
      #1438612)
    - aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 03 Dec 2015 16:19:34 +0000

dbus (1.10.6-1) unstable; urgency=medium

  * New upstream stable release 1.10.6
    - fixes regression tests when run as root (Closes: #806305)
  * When removing dbus.target.wants (for #757913), do not fail if it does
    not exist. This should fix FTBFS on non-Linux kernels, and in stage1
    Linux builds (Closes: #805513)
  * debian/libdbus-1-3.symbols.in: use a regex for private symbols, so
    that this packaging can be used for snapshots of dbus where
    DEB_VERSION_UPSTREAM does not necessarily match Autoconf's VERSION

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Dec 2015 19:15:47 +0000

dbus (1.10.4-1ubuntu2) xenial; urgency=medium

  * debian/patches/0001-uid-permissions-test-don-t-assert-that-root-can-Upda.patch:
    Take patch from fd.o bug #119997 to resolve 'root' test failure - root can
    no longer call UpdateActivationEnvironment. Check using BecomeMonitor that
    root and messagebus are privileged.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 23 Nov 2015 12:51:40 +0000

dbus (1.10.4-1ubuntu1) xenial; urgency=low

  * Merge with Debian, remaining changes:
    - Add upstart jobs; Upstart is still supported for the system init.
      + Add debian/dbus.upstart and dbus.user-session.upstart
    - Add debian/patches/dont-stop-dbus.patch: Don't stop D-Bus in the service
      unit (see patch header and upstream bug for details). Fixes various
      causes of shutdown hangs, particularly with remote file systems. (LP:
      #1438612)
    - aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
  * debian/rules, debian/dbus.install: Modify upstart session job installation
    to use dh-exec instead of editing debian/rules

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 19 Nov 2015 12:19:17 +0000

dbus (1.10.4-1) unstable; urgency=medium

  * New upstream stable release 1.10.4
  * prerm: clean up /etc/dbus-1/s*.conf compat symlinks on remove.
    We only remove them if they match what the package sets up, so
    we do not need to distinguish between remove and purge.
  * prerm: also clean up /etc/dbus-1/s*.conf symlinks before downgrading
    to a version << 1.10.2-1, so that the dbus-daemon will not fail to reload
    or start after the downgrade. Please note that downgrading packages remains
    an unsupported action. (Closes: #804183)
  * postrm: clean up /etc/dbus-1/s*.conf on purge, even if their targets
    do not match what is expected (Closes: #803441)
  * dbus.install: use dh-exec to mark systemd-related files for [linux-any],
    instead of constructing dbus.install programmatically
  * dbus-1-dbg.links: use dh-exec instead of sh
  * Stop installing dbus.target.wants/dbus.socket, since dbus.target no
    longer exists in systemd. sockets.target covers that, and is part
    of the DefaultDependencies anyway (Closes: #757913)
  * Simplify dh_install override, and remove dh_link override altogether,
    by using dh-exec

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Nov 2015 21:58:01 +0000

dbus (1.10.2-1) unstable; urgency=medium

  * New upstream stable release 1.10.2
  * Touch /var/run/reboot-required on upgrade, even if neither
    reboot-notifier nor update-notifier-common is installed.
    Various other tools look for this file. (Closes: #799396)
  * Allow dbus-daemon (<< 1.9.18) to reload bus setup and configuration
    again (follow-up for #793519). This means that if an upgrade
    from jessie to stretch pulls in a new system service, dbus-daemon
    will load the configuration that allows that system service to work,
    even before the system has been rebooted to use the new dbus-daemon.
    - if /etc/dbus-1/s*.conf have been modified, move them to


=== debian/control ===
Source: dbus
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Michael Biebl <biebl@debian.org>,
           Loic Minier <lool@dooz.org>,
           Simon McVittie <smcv@debian.org>
# The following packages can be omitted for bootstrapping, but provide extra
# features:
#   libapparmor-dev
#   libaudit-dev
#   libcap-ng-dev
#   libsystemd-dev (circular dependency)
# The following packages can be omitted for bootstrapping, but provide extra
# debugging support in /usr/lib/*/dbus-1.0/debug-build:
#   valgrind
# The following packages can be omitted for bootstrapping, but improve test
# coverage:
#   libglib2.0-dev
#   python
#   python-dbus (circular dependency)
#   python-gobject
Build-Depends: automake (>= 1:1.10),
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dh-exec (>= 0.13),
               doxygen,
               dpkg-dev (>= 1.16.1),
               libapparmor-dev (>= 2.8.95) [linux-any],
               libaudit-dev [linux-any],
               libcap-ng-dev [linux-any],
               libexpat-dev,
               libglib2.0-dev,
               libselinux1-dev [linux-any],
               libsystemd-dev (>= 209) [linux-any],
               libx11-dev,
               python (>= 2.6),
               python-dbus,
               python-gobject,
               valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
               xmlto,
               xsltproc
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-utopia/dbus.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/dbus.git
Homepage: http://dbus.freedesktop.org/

Package: dbus
Architecture: any
Priority: standard
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         lsb-base (>= 3.2-14)
Suggests:
 dbus-user-session | dbus-x11,
Multi-Arch: foreign
Description: simple interprocess messaging system (daemon and utilities)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 This package contains the D-Bus daemon and related utilities.
 .
 The client-side library can be found in the libdbus-1-3 package, as it is no
 longer contained in this package.

Package: dbus-udeb
Section: debian-installer
Priority: extra
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: simple interprocess messaging system (minimal runtime)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the dbus and dbus-x11 packages,
 for use in the Debian installer. It can run a session bus, but is not
 suitable for use as a system bus.

Package: dbus-x11
Architecture: any
Section: x11
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus
Multi-Arch: foreign
Description: simple interprocess messaging system (X11 deps)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the dbus-launch utility which is necessary for
 packages using a D-Bus session bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks:
 dbus (<< 1.9.16-1~),
Recommends: dbus
Section: libs
Description: simple interprocess messaging system (library)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 The daemon can be found in the dbus package.

Package: libdbus-1-3-udeb
Section: debian-installer
Priority: extra
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: simple interprocess messaging system (minimal library)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the libdbus-1-3 package,
 for use in the Debian installer.

Package: dbus-1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libdbus-1-dev
Description: simple interprocess messaging system (documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the API documentation for D-Bus, as well as
 the protocol specification.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libdbus-1-3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         pkg-config
Description: simple interprocess messaging system (development headers)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libdbus-1-3 (= ${binary:Version}),
         dbus (= ${binary:Version}),
         dbus-x11 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests:
 gnome-desktop-testing,
Description: simple interprocess messaging system (debug symbols)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides support for debugging programs that use the core
 D-Bus shared library.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-tests
Section: misc
Priority: extra
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 dbus,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 gnome-desktop-testing,
Breaks:
 dbus-1-dbg (<< 1.9.10-2~),
Replaces:
 dbus-1-dbg (<< 1.9.10-2~),
Description: simple interprocess messaging system (test infrastructure)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides automated and manual tests for D-Bus, and the
 dbus-test-tool utility.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-user-session
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 dbus (>= ${source:Version}),
 libpam-systemd,
 systemd,
 ${misc:Depends},
Recommends:
 systemd-sysv,
Breaks:
 dbus-x11 (<< 1.9.10-2~),
 policykit-1 (<< 0.105-12~),
 udisks2 (<< 2.1.5-2~),
Description: simple interprocess messaging system (systemd --user integration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 On systemd systems, this package opts in to the session model in which
 a user's session starts the first time they log in, and does not end
 until all their login sessions have ended. This model merges all
 parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
 to one graphical session, into a single "user-session" or "super-session"
 within which all background D-Bus services are shared.
 .
 Multiple graphical sessions per user are not currently supported in this
 mode; as a result, it is particularly suitable for gdm, which responds to
 requests to open a parallel graphical session by switching to the existing
 graphical session and unlocking it.
 .
 To retain dbus' traditional session semantics, in which login sessions
 are artificially isolated from each other, remove this package and install
 dbus-x11 instead.
 .
 See the dbus package description for more information about D-Bus in general.

=== debian/tests/control ===
Tests: installed-tests
Depends: dbus, dbus-tests

Tests: installed-tests-debug-build
Depends: dbus, dbus-1-dbg

Tests: gnome-desktop-testing
Depends: dbus, dbus-tests, gnome-desktop-testing

Tests: gnome-desktop-testing-debug-build
Depends: dbus, dbus-1-dbg, dpkg-dev, gcc, gnome-desktop-testing

Tests: root
Restrictions: needs-root
Depends: dbus, dbus-tests

Tests: root-debug-build
Restrictions: needs-root
Depends: dbus, dbus-1-dbg

Tests: build
Depends: libdbus-1-dev, dbus, build-essential

## dbus 1.10.8

=== debian/changelog ===
dbus (1.10.8-1) unstable; urgency=medium

  * New upstream release
  * dbus.prerm: ensure that dbus.socket is stopped before removal,
    so that a new connection to the bus won't cause dbus.service to be
    restarted (Closes: #813970)
  * debian/75dbus_dbus-launch: when not using systemd --user or the
    dbus-user-session package is not installed, start dbus-daemon early,
    then upload the full environment from Xsession.d later on
    (in 95dbus_update-activation-env). This more closely matches the
    behaviour with dbus-user-session. (Closes: #815503; thanks to Samuel
    Thibault)
  * Switch Vcs-Git to https (see #810378)
  * debian/upstream/signing-key.asc: add upstream signing keys
    (just my keys for now, in practice I do almost all dbus releases)
  * debian/watch: use https and describe how to download signatures
  * Standards-Version: 3.9.7 (no changes needed)
  * Sort .install files and remove unnecessary debian/tmp prefix
  * Normalize lists of packages and uploaders via wrap-and-sort -ast
  * Normalize order of packages via wrap-and-sort -b

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Mar 2016 19:15:47 +0000

=== debian/control ===
Source: dbus
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sjoerd Simons <sjoerd@debian.org>,
 Sebastian Dröge <slomo@debian.org>,
 Michael Biebl <biebl@debian.org>,
 Loic Minier <lool@dooz.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 automake (>= 1:1.10),
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 dh-exec (>= 0.13),
 doxygen,
 dpkg-dev (>= 1.16.1),
 libapparmor-dev (>= 2.8.95) [linux-any],
 libaudit-dev [linux-any],
 libcap-ng-dev [linux-any],
 libexpat-dev,
 libglib2.0-dev,
 libselinux1-dev [linux-any],
 libsystemd-dev (>= 209) [linux-any],
 libx11-dev,
 python (>= 2.6),
 python-dbus,
 python-gobject,
 valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
 xmlto,
 xsltproc,
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/dbus.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/dbus.git
Homepage: http://dbus.freedesktop.org/

Package: dbus
Architecture: any
Priority: standard
Depends:
 adduser,
 init-system-helpers (>= 1.3~),
 lsb-base (>= 3.2-14),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 dbus-user-session | dbus-x11,
Multi-Arch: foreign
Description: simple interprocess messaging system (daemon and utilities)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 This package contains the D-Bus daemon and related utilities.
 .
 The client-side library can be found in the libdbus-1-3 package, as it is no
 longer contained in this package.

Package: dbus-1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus (= ${binary:Version}),
 dbus-x11 (= ${binary:Version}),
 libdbus-1-3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gnome-desktop-testing,
Description: simple interprocess messaging system (debug symbols)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides support for debugging programs that use the core
 D-Bus shared library.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-1-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 libdbus-1-dev,
Description: simple interprocess messaging system (documentation)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the API documentation for D-Bus, as well as
 the protocol specification.
 .
 See the dbus description for more information about D-Bus in general.

Package: dbus-tests
Section: misc
Priority: extra
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-desktop-testing,
Breaks:
 dbus-1-dbg (<< 1.9.10-2~),
Replaces:
 dbus-1-dbg (<< 1.9.10-2~),
Description: simple interprocess messaging system (test infrastructure)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides automated and manual tests for D-Bus, and the
 dbus-test-tool utility.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-udeb
Section: debian-installer
Priority: extra
Package-Type: udeb
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (minimal runtime)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the dbus and dbus-x11 packages,
 for use in the Debian installer. It can run a session bus, but is not
 suitable for use as a system bus.

Package: dbus-user-session
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus (>= ${source:Version}),
 libpam-systemd,
 systemd,
 ${misc:Depends},
Recommends:
 systemd-sysv,
Breaks:
 dbus-x11 (<< 1.9.10-2~),
 policykit-1 (<< 0.105-12~),
 udisks2 (<< 2.1.5-2~),
Description: simple interprocess messaging system (systemd --user integration)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 On systemd systems, this package opts in to the session model in which
 a user's session starts the first time they log in, and does not end
 until all their login sessions have ended. This model merges all
 parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
 to one graphical session, into a single "user-session" or "super-session"
 within which all background D-Bus services are shared.
 .
 Multiple graphical sessions per user are not currently supported in this
 mode; as a result, it is particularly suitable for gdm, which responds to
 requests to open a parallel graphical session by switching to the existing
 graphical session and unlocking it.
 .
 To retain dbus' traditional session semantics, in which login sessions
 are artificially isolated from each other, remove this package and install
 dbus-x11 instead.
 .
 See the dbus package description for more information about D-Bus in general.

Package: dbus-x11
Architecture: any
Section: x11
Depends:
 dbus,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: simple interprocess messaging system (X11 deps)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package contains the dbus-launch utility which is necessary for
 packages using a D-Bus session bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: libdbus-1-3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 dbus (<< 1.9.16-1~),
Recommends:
 dbus,
Section: libs
Description: simple interprocess messaging system (library)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 D-Bus supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more. It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML. D-Bus also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 It comes with several bindings, including GLib, Python, Qt and Java.
 .
 The daemon can be found in the dbus package.

Package: libdbus-1-3-udeb
Section: debian-installer
Priority: extra
Package-Type: udeb
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (minimal library)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package is a minimal version of the libdbus-1-3 package,
 for use in the Debian installer.

Package: libdbus-1-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libdbus-1-3 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple interprocess messaging system (development headers)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 See the dbus description for more information about D-Bus in general.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
# Copyright © 2003 Daniel Stone <daniels@debian.org>
# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
# Copyright © 2011 Michael Biebl <biebl@debian.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie,+bindnow

include /usr/share/dpkg/default.mk

%:
	dh $@ $(dh_options)

libdbusN := $(shell sed -rn 's/Package:[[:space:]]*(libdbus-[0-9-]+)[[:space:]]*$$/\1/p' debian/control | head -n 1)
libdbus_soname := $(patsubst libdbus-1-%,libdbus-1.so.%,$(libdbusN))
debug_build_prefix := /usr/lib/$(DEB_HOST_MULTIARCH)/dbus-1.0/debug-build

export DEB_LDFLAGS_MAINT_APPEND = \
	-Wl,--as-needed \
	-Wl,--gc-sections \
	$(NULL)

dh_options = \
	--builddirectory=build \
	--with autoreconf \
	--parallel \
	$(NULL)

ifeq ($(filter noudeb,$(DEB_BUILD_OPTIONS)),)
# keep the udeb
else
dh_options += -Ndbus-udeb -N$(libdbusN)-udeb
endif

common_configure_flags := \
		--disable-ducktype-docs \
		--disable-silent-rules \
		--enable-installed-tests \
		--libexecdir=\$${prefix}/lib/dbus-1.0 \
		$(NULL)

normal_configure_flags := \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	$(NULL)

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
ifeq ($(DEB_HOST_ARCH_OS),linux)
# Non-bootstrap build on Linux: add Linux-specifics
common_configure_flags += \
		--enable-apparmor \
		--enable-libaudit \
		--enable-selinux \
		--enable-systemd \
		--with-systemdsystemunitdir=/lib/systemd/system \
		$(NULL)
normal_configure_flags += \
	--enable-user-session \
	--with-systemduserunitdir='$${prefix}/lib/systemd/user' \
	$(NULL)
endif
endif

debug_configure_flags := \
	--disable-xml-docs \
	--disable-doxygen-docs \
	--enable-asserts \
	--enable-checks \
	--enable-verbose-mode \
	--with-valgrind=auto \
	--prefix=${debug_build_prefix} \
	--libdir='$${prefix}/lib' \
	--sysconfdir='$${prefix}/etc' \
	--with-systemdsystemunitdir='$${libdir}/systemd/system' \
	$(NULL)

udeb_configure_flags := \
	$(normal_configure_flags) \
	--disable-apparmor \
	--disable-asserts \
	--disable-checks \
	--disable-doxygen-docs \
	--disable-libaudit \
	--disable-selinux \
	--disable-stats \
	--disable-systemd \
	--disable-tests \
	--disable-user-session \
	--disable-verbose-mode \
	--disable-xml-docs \
	CFLAGS='$(CFLAGS) -Os' \
	$(NULL)

ifeq ($(filter nodocs,$(DEB_BUILD_OPTIONS))$(filter stage1,$(DEB_BUILD_PROFILES)),)
# documentation enabled
normal_configure_flags += \
	--enable-xml-docs \
	--enable-doxygen-docs \
	$(NULL)
else
# documentation disabled
dh_options += -Ndbus-1-doc
dh_install_options += -X/usr/share/man/
normal_configure_flags += \
	--disable-xml-docs \
	--disable-doxygen-docs \
	$(NULL)
endif

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
# not a stage1 build - build all the tests
debug_configure_flags += \
		--enable-tests \
		$(NULL)
endif

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		$(common_configure_flags) \
		$(normal_configure_flags) \
		$(NULL)
	dh_auto_configure \
		--builddirectory=build-debug \
		-- \
		$(common_configure_flags) \
		$(debug_configure_flags) \
		$(NULL)
ifeq ($(filter noudeb,$(DEB_BUILD_OPTIONS)),)
	dh_auto_configure \
		--builddirectory=build-udeb \
		-- \
		$(common_configure_flags) \
		$(udeb_configure_flags) \
		$(NULL)
endif

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-debug
ifeq ($(filter noudeb,$(DEB_BUILD_OPTIONS)),)
	dh_auto_build --builddirectory=build-udeb
endif

# The tests need more environmental setup at the moment: they need our
# home directory, and we can't just set HOME because the nonce-tcp
# transport uses our "official" HOME according to getpwent(), since its
# purpose is to prevent one user from impersonating another. (#630152)
override_dh_auto_test:
	:

override_dh_auto_install:
ifeq ($(filter noudeb,$(DEB_BUILD_OPTIONS)),)
	# udeb build
	make -C build-udeb install-exec DESTDIR=$(CURDIR)/debian/tmp-udeb
	cd $(CURDIR)/debian/tmp-udeb && find | LC_ALL=C sort
endif
	# debug build
	make -C build-debug install DESTDIR=$(CURDIR)/debian/tmp
	rm -rfv debian/tmp/${debug_build_prefix}/etc/dbus-1/session.d
	rm -rfv debian/tmp/${debug_build_prefix}/etc/dbus-1/system.d
	rm -rfv debian/tmp/${debug_build_prefix}/share/dbus-1/services
	rm -rfv debian/tmp/${debug_build_prefix}/share/dbus-1/session.d
	rm -rfv debian/tmp/${debug_build_prefix}/share/dbus-1/system.d
	rm -rfv debian/tmp/${debug_build_prefix}/share/dbus-1/system-services
	rm -rfv debian/tmp/${debug_build_prefix}/share/doc
	rm -rfv debian/tmp/${debug_build_prefix}/share/man
	mv debian/tmp/${debug_build_prefix}/share/installed-tests/dbus \
		debian/tmp/${debug_build_prefix}/share/installed-tests/dbus-debug-build
	rm -f debian/tmp/${debug_build_prefix}/lib/libdbus-1.la
	cd $(CURDIR)/debian/tmp && find | LC_ALL=C sort
	# normal build (do this last so that it overwrites the others)
	dh_auto_install
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.la
ifeq ($(filter nodocs,$(DEB_BUILD_OPTIONS))$(filter stage1,$(DEB_BUILD_PROFILES)),)
	# Reproducible build: sed out the generated dates from the man pages.
	sed -i \
		-e '/^\.\\\" *Date: .*/d' \
		-e 's/^\(.TH "[^"]*" "[^"]*" \)"[^"]*"/\1""/' \
		debian/tmp/usr/share/man/man?/*
endif
	# Remove the legacy bus configuration files. We move their old
	# versions out of the way, include the moved names in the new
	# bus setup instead of the old names, and replace the old names
	# with a symlink to the new bus setup so that old dbus-daemons
	# can still reload their configuration.
	rm -f debian/tmp/etc/dbus-1/session.conf
	rm -f debian/tmp/etc/dbus-1/system.conf
	# dbus.target no longer exists. This will be removed upstream in 1.11
	rm -f -r -v debian/tmp/lib/systemd/system/dbus.target.wants
	# if bootstrapping it's possible that no tests will get installed - create
	# the directory in case that's happened, so the .install file doesn't need
	# modification
	install -d debian/tmp/usr/lib/dbus-1.0/installed-tests/dbus
	install -d debian/tmp/${debug_build_prefix}/lib/dbus-1.0/installed-tests/dbus
	# Fix up the development symlink for us installing the shared library
	# in /lib
	target=$$(readlink "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.so"); \
	target=$$(basename "$$target"); \
	ln -fns /lib/$(DEB_HOST_MULTIARCH)/$$target debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdbus-1.so

override_dh_install:
	dh_install --list-missing $(dh_install_options)

override_dh_installinit:
	dh_installinit -pdbus -r

# we don't want docs for the debug symbols, just symlink to the library docs
override_dh_installdocs:
	dh_installdocs -pdbus-1-dbg --link-doc=$(libdbusN)
	dh_installdocs -pdbus-udeb -p$(libdbusN)-udeb --no-act
	dh_installdocs --remaining-packages --all AUTHORS NEWS README

override_dh_strip:
	dh_strip --dbg-package=dbus-1-dbg

debian/$(libdbusN).symbols: debian/$(libdbusN).symbols.in
	sed -e 's/$${DEB_VERSION}/${DEB_VERSION}/g' \
		< $< > $@

override_dh_makeshlibs: debian/$(libdbusN).symbols
	dh_makeshlibs -V -Ndbus-1-dbg --add-udeb=$(libdbusN)-udeb -- -c4

override_dh_shlibdeps:
	dh_shlibdeps \
		-pdbus-1-dbg \
		-Ldbus-1-dbg \
		-ldbus-1-dbg/${debug_build_prefix}/lib \
		-- \
		-Ldebian/dbus-1-dbg.shlibs.local \
		$(NULL)
	dh_shlibdeps --remaining-packages --

override_dh_autoreconf:
	cp INSTALL INSTALL.orig
	dh_autoreconf
	mv INSTALL.orig INSTALL

override_dh_autoreconf_clean:
	cp INSTALL INSTALL.orig
	dh_autoreconf_clean
	mv INSTALL.orig INSTALL

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory=build-debug
	dh_auto_clean --builddirectory=build-udeb
	rm -f build/test/data/valid-config-files/session.conf
	rm -f build/test/data/valid-config-files/system.conf
	rm -f build-debug/test/data/valid-config-files/session.conf
	rm -f build-debug/test/data/valid-config-files/system.conf
	rm -f dbus.devhelp

clean:
	rm -rf debian/tmp-udeb
	dh $@ $(dh_options)

## dbus 1.10.10

=== debian/changelog ===
dbus (1.10.10-1ubuntu1) yakkety; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian (LP: #1622401), remaining changes:
    - Add debian/dbus.user-session.upstart.
    - debian, dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more. Instead, start dbus.socket
      in postinst, which will then start D-Bus on demand after package
      installation.
    - Add debian/patches/dont-stop-dbus.patch: Don't stop D-Bus in the service
      unit (see patch header and upstream bug for details). Fixes various
      causes of shutdown hangs, particularly with remote file systems. (LP:
      #1438612) (LP: #1540282)
    - aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
  * Dropped changes:
    - debian/dbus.preinst: divert the dbus-daemon-launch-helper if upgrading
      from < 1.9.4-2~. This will make sure we keep the setuid bit during upgrade.
      (LP: #1555237)
    - Drop system upstart job.

  [ Martin Pitt ]
  * Clean up /etc/init/dbus.conf on upgrades. This needs to be kept until
    after 18.04 LTS.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 11 Sep 2016 04:09:45 -0400

dbus (1.10.10-1) unstable; urgency=medium

  * New upstream stable release 1.10.10
  * Provide new virtual packages for other packages to depend on:
    - dbus-session-bus: any implementation of the D-Bus well-known session bus
      (provided by: dbus-user-session, dbus-x11)
    - default-dbus-session-bus: the recommended implementation of
      dbus-session-bus (currently provided by: dbus-user-session)
  * Add arm64, mips64el, ppc64el to the list of architectures that
    have valgrind
  * debian/gbp.conf: use DEP-14 branch names
  * Standards-Version: 3.9.8 (no changes needed)
  * debian/rules: fail the build if "make install" installs anything we
    don't package or delete. Only do this for final releases (suite
    in debian/changelog is not UNRELEASED) to facilitate future
    autobuilding of new upstream releases.
  * debian/rules: do not require symbols file to be complete if the
    suite in debian/changelog is UNRELEASED, again to facilitate
    autobuilding new upstream releases.
  * debian/source/options: don't fail dpkg-source on changes to
    build-aux/{compile,depcomp,missing}. We regenerate that directory anyway,
    and during a snapshot build they might become symlinks.
  * debian/rules: do the build in debian/build-* so it's easier to .gitignore
  * debian/.gitignore: update
  * Use the correct systemctl for Debian even if not installed on the build
    system. (Regression in 1.10.2)

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Aug 2016 22:05:45 +0100

dbus (1.10.6-1ubuntu4) yakkety; urgency=medium

  * debian/dbus.user-session.upstart:
    - Don't start a new session bus if there already is one (e. g. via
      dbus-user-session), as this would lead to different services talking to
      different buses and thus not seeing each other. As we still need the
      actual job itself running, run "sleep infinity" instead in this case.
    - Drop "expect fork" and "--fork" argument. There is little point in the
      daemon forking, upstart already manages it. This makes debugging easier
      and also avoids having to fork "sleep" in the case that dbus-daemon is
      already running.
    - Drop "mkdir ~/.cache/upstart". This doesn't belong into a job, isn't
      necessary (upstart already creates it on start) and would be too late
      anyway.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 May 2016 21:25:46 +0200

## dbus 1.10.14

=== debian/changelog ===
dbus (1.10.14-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Nov 2016 21:58:04 +0000

dbus (1.10.12-1) unstable; urgency=medium

  * New upstream release
  * d/p/backports/Replace-DBUS_USE_TEST_BINARY-with-DBUS_TEST_DBUS_LAUNCH.patch:
    backport a change from 1.11.2 to make the debug build of libdbus
    reproducible under varying build paths
  * Move Debian-specific patches to debian/patches/debian (corresponding
    to "Gbp-pq: Topic debian" on the patch queue branch)
  * debian/*.lintian-overrides:
    - override systemd-service-file-missing-install-key for dbus.service,
      which is intentionally statically enabled
    - override embedded-javascript-library for Doxygen's jquery.js,
      which is not actually libjs-jquery (see #736360)
  * Move to debhelper compat level 10
    - drop options and overrides that are now the default

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Oct 2016 10:49:51 +0100

## dbus 1.10.18

=== debian/changelog ===
dbus (1.10.18-1) unstable; urgency=medium

  * New upstream stable release
    - On SELinux systems, make sure the thread that reads AVC
      notifications retains the ability to write the audit log
      (Closes: #857660)
    - Fix a read overflow and some memory leaks in a unit test
      (no effect on production systems)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Apr 2017 20:07:19 +0100

dbus (1.10.16-1) unstable; urgency=medium

  * New upstream release
    - Contains a security fix for a potential symlink attack in the
      nonce-tcp transport. That transport is not normally used (or
      recommended) on Unix.

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Feb 2017 14:21:41 +0000
